﻿namespace anbs_cp.Extensions;

/// <summary>
/// Расширение класса DateTime
/// </summary>
public static class DateTimeExtension
{
    /// <summary>
    /// "Обнуляет" миллисекунды
    /// </summary>
    /// <param name="dt">Дата/время</param>
    /// <returns>Дата/время с нулевыми миллисекундами</returns>
    public static DateTime TrimMilliseconds (this DateTime dt) =>
        new(dt.Year, dt.Month, dt.Day, dt.Hour, dt.Minute, dt.Second, 0, dt.Kind);
}